## amsynth 1.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(CMAKE_CXX_STANDARD 11)
#set(CMAKE_VERBOSE_MAKEFILE true)

find_package(PkgConfig REQUIRED)

project(amsynth)

SET(CMAKE_POSITION_INDEPENDENT_CODE True)

include_directories(${PROJECT_SOURCE_DIR}/include)

add_compile_options(
        -DVERSION="dev"
        -DPACKAGE="amsynth"
        -DPACKAGE_NAME="amsynth"
        -DPACKAGE_TARNAME="amsynth"
        -DPACKAGE_STRING="amsynth dev"
        -DPACKAGE_URL="https://amsynth.github.io"
        -DPACKAGE_BUGREPORT="https://www.github.com/amsynth/amsynth/issues"
        -DPKGDATADIR="${PROJECT_SOURCE_DIR}/data"
)

add_compile_options(
        -DENABLE_NLS
        -DGETTEXT_PACKAGE="amsynth"
        -DPACKAGE_LOCALEDIR="/usr/local/share/locale"
)

pkg_check_modules(ALSA alsa)
if (ALSA_FOUND)
    add_compile_options(-DWITH_ALSA)
    include_directories(${ALSA_INCLUDE_DIRS})
endif (ALSA_FOUND)

pkg_check_modules(JACK jack)
if (JACK_FOUND)
    add_compile_options(-DWITH_JACK -DHAVE_JACK_MIDIPORT_H -DHAVE_JACK_SESSION_H)
    include_directories(${JACK_INCLUDE_DIRS})
endif (JACK_FOUND)

pkg_check_modules(GTK gtk+-2.0)
add_compile_options(-DWITH_GUI)
include_directories(${GTK_INCLUDE_DIRS})

pkg_check_modules(LASH lash-1.0)
if (LASH_FOUND)
    add_compile_options(-DWITH_LASH)
    include_directories(${LASH_INCLUDE_DIRS})
endif (LASH_FOUND)

pkg_check_modules(LIBLO liblo)
if (LIBLO_FOUND)
    include_directories(${LIBLO_INCLUDE_DIRS})
endif (LIBLO_FOUND)

#
#
#

add_library(amsynth_core STATIC
        src/Effects/Distortion.cc
        src/Effects/Distortion.h
        src/Effects/SoftLimiter.cc
        src/Effects/SoftLimiter.h
        src/freeverb/allpass.cpp
        src/freeverb/allpass.hpp
        src/freeverb/comb.cpp
        src/freeverb/comb.hpp
        src/freeverb/denormals.h
        src/freeverb/revmodel.cpp
        src/freeverb/revmodel.hpp
        src/freeverb/tuning.h
        src/VoiceBoard/ADSR.cc
        src/VoiceBoard/ADSR.h
        src/VoiceBoard/LowPassFilter.cc
        src/VoiceBoard/LowPassFilter.h
        src/VoiceBoard/Oscillator.cc
        src/VoiceBoard/Oscillator.h
        src/VoiceBoard/Synth--.h
        src/VoiceBoard/VoiceBoard.cc
        src/VoiceBoard/VoiceBoard.h
        src/Configuration.cpp
        src/Configuration.h
        src/controls.h
        src/gettext.h
        src/lash.c
        src/lash.h
        src/midi.h
        src/MidiController.cc
        src/MidiController.h
        src/Parameter.cc
        src/Parameter.h
        src/Preset.cc
        src/Preset.h
        src/PresetController.cc
        src/PresetController.h
        src/Synthesizer.cpp
        src/Synthesizer.h
        src/Thread.h
        src/TuningMap.cc
        src/TuningMap.h
        src/types.h
        src/UpdateListener.h
        src/VoiceAllocationUnit.cc
        src/VoiceAllocationUnit.h
        )

#
# Stand-alone application
#

add_executable(amsynth
        src/drivers/ALSAAudioDriver.cc
        src/drivers/ALSAAudioDriver.h
        src/drivers/ALSAMidiDriver.cc
        src/drivers/ALSAMidiDriver.h
        src/drivers/ALSAmmapAudioDriver.cc
        src/drivers/ALSAmmapAudioDriver.h
        src/drivers/AudioDriver.h
        src/drivers/CoreAudio.cc
        src/drivers/CoreAudio.h
        src/drivers/MidiDriver.h
        src/drivers/OSSAudioDriver.cc
        src/drivers/OSSAudioDriver.h
        src/drivers/OSSMidiDriver.cc
        src/drivers/OSSMidiDriver.h
        src/GUI/bitmap_button.c
        src/GUI/bitmap_button.h
        src/GUI/bitmap_knob.c
        src/GUI/bitmap_knob.h
        src/GUI/bitmap_popup.c
        src/GUI/bitmap_popup.h
        src/GUI/ConfigDialog.cpp
        src/GUI/ConfigDialog.h
        src/GUI/controllers.h
        src/GUI/editor_menus.cpp
        src/GUI/editor_menus.h
        src/GUI/editor_pane.c
        src/GUI/editor_pane.h
        src/GUI/gui_main.cc
        src/GUI/gui_main.h
        src/GUI/MainMenu.cpp
        src/GUI/MainMenu.h
        src/GUI/MainWindow.cpp
        src/GUI/MainWindow.h
        src/GUI/MIDILearnDialog.cpp
        src/GUI/MIDILearnDialog.h
        src/GUI/PresetControllerView.cc
        src/GUI/PresetControllerView.h
        src/AudioOutput.cc
        src/AudioOutput.h
        src/JackOutput.cc
        src/JackOutput.h
        src/lash.c
        src/lash.h
        src/main.cc
        src/main.h
        )

target_link_libraries(amsynth
        pthread
        amsynth_core
        ${ALSA_LIBRARIES}
        ${JACK_LIBRARIES}
        ${GTK_LIBRARIES}
        ${LASH_LIBRARIES}
        )

#
#
#

add_library(amsynth_dssi MODULE src/amsynth_dssi.cpp src/amsynth_dssi.h)
set_target_properties(amsynth_dssi PROPERTIES PREFIX "")
target_link_libraries(amsynth_dssi amsynth_core)

add_executable(amsynth_dssi_gtk
        src/amsynth_dssi_gtk.cpp
        src/GUI/bitmap_button.c
        src/GUI/bitmap_button.h
        src/GUI/bitmap_knob.c
        src/GUI/bitmap_knob.h
        src/GUI/bitmap_popup.c
        src/GUI/bitmap_popup.h
        src/GUI/controllers.h
        src/GUI/editor_menus.cpp
        src/GUI/editor_menus.h
        src/GUI/editor_pane.c
        src/GUI/editor_pane.h
        )

target_link_libraries(amsynth_dssi_gtk
        amsynth_core
        ${GTK_LIBRARIES}
        ${LIBLO_LIBRARIES}
        )

#
#
#

add_library(amsynth_lv2 MODULE src/amsynth_lv2.cpp)
set_target_properties(amsynth_lv2 PROPERTIES PREFIX "")
target_link_libraries(amsynth_lv2 amsynth_core)


add_library(amsynth_lv2_gtk MODULE
        src/GUI/bitmap_button.c
        src/GUI/bitmap_button.h
        src/GUI/bitmap_knob.c
        src/GUI/bitmap_knob.h
        src/GUI/bitmap_popup.c
        src/GUI/bitmap_popup.h
        src/GUI/controllers.h
        src/GUI/editor_menus.cpp
        src/GUI/editor_menus.h
        src/GUI/editor_pane.c
        src/GUI/editor_pane.h
        src/amsynth_lv2_ui_gtk.cpp
        )
set_target_properties(amsynth_lv2_gtk PROPERTIES PREFIX "")
target_link_libraries(amsynth_lv2_gtk amsynth_core ${GTK_LIBRARIES})

add_dependencies(amsynth_lv2 amsynth_lv2_gtk)

add_library(amsynth_vst MODULE
        src/amsynth_vst.cpp
        src/GUI/bitmap_button.c
        src/GUI/bitmap_button.h
        src/GUI/bitmap_knob.c
        src/GUI/bitmap_knob.h
        src/GUI/bitmap_popup.c
        src/GUI/bitmap_popup.h
        src/GUI/controllers.h
        src/GUI/editor_menus.cpp
        src/GUI/editor_menus.h
        src/GUI/editor_pane.c
        src/GUI/editor_pane.h
        )
target_compile_options(amsynth_vst PUBLIC -DWITH_GUI)
set_target_properties(amsynth_vst PROPERTIES PREFIX "")
target_link_libraries(amsynth_vst amsynth_core ${GTK_LIBRARIES})


add_executable(amsynth_tests src/tests.cpp)
target_link_libraries(amsynth_tests amsynth_core)

## amsynth 1.2.3

=== debian/changelog ===
amsynth (1.2.3-3) unstable; urgency=low

  * Suggests on vkeybd, thanks to Mauro Lizaur for the suggestion.
  * Update debian/gbp.conf.
  * Replace negated list of architectures with linux-any (Closes: #634661)
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 19 Jul 2011 13:15:05 +0200

amsynth (1.2.3-2) unstable; urgency=low

  * Switch to 3.0 (quilt).
  * Update my email address.
  * Bump Standards.
  * Add .gitignore file.
  * Add git-buildpackage config file.
  * Call "amsynth" and not "amSynth" to create new instance (Closes:
    #591602)
  * Use autotools_dev add-on to update config.{guess,sub} before running
    configure.
  * Add -Wl,--as-needed to linking options.

 -- Alessio Treglia <alessio@debian.org>  Wed, 04 Aug 2010 10:56:50 +0200

amsynth (1.2.3-1) unstable; urgency=low

  * The launcher should be placed under Sound&Video menu (LP: #525299).
  * Set source format to 1.0.
  * New upstream release:
    - Fixes FTBFS with GCC-4.5 (Closes: #564852).
  * Update debian/copyright.
  * Refresh debian/patches/01-spelling_error.patch.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 10 May 2010 11:36:19 +0200

amsynth (1.2.2-2) unstable; urgency=low

  * Adjust build-dep on debhelper to ease backporters' life.
  * Add quilt support.
  * Bump Standards.
  * Allow uploads by Debian Maintainers.
  * Don't depend on libjack0, shlibs macro provides all the needed
    dependencies.
  * Add README.source to document how to patch the sources.
  * Add patch to correct a small spelling error.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 22 Mar 2010 10:04:51 +0100

amsynth (1.2.2-1) unstable; urgency=low

  [ Adrian Knoth ]
  * Change Maintainer's address to new ML (pkg-mmm)

  [ Alessio Treglia ]
  * New upstream release.
  * Fix watch file.
  * debian/copyright:
    - Update.
    - Convert to machine-readable format (according to Debian DEP-5).
  * debian/control:
    - Bump Standards.
    - Add myself to Uploaders.
    - Add Homepage field.
    - Add ${misc:Depends} to Depends field.
  * Remove all patches, adopted by upstream.
  * Drop dpatch support.
  * debian/{compat,control,rules}:
    - Switch to debhelper 7.
  * Fix debian/amsynth.desktop as per spec.
  * Fix debian/menu as per Debian Menu System's policy.
  * Fix debian/amsynth.1 to make lintian happy.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 03 Dec 2009 23:48:03 +0100

amsynth (1.2.0-4) unstable; urgency=low

  * Depend on libjack0 instead of libjack0.100.0-0 (Closes #522150)
  * Drop 80_libjack patch, it's no longer needed
  * Add Vcs-Git and Vcs-Browser

 -- Free Ekanayaka <freee@debian.org>  Sun, 19 Apr 2009 12:25:22 +0200

amsynth (1.2.0-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Actually apply the gcc-4.3 patch. (Closes: #455360)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Tue, 18 Mar 2008 11:33:48 +0100

amsynth (1.2.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by KiBi (Closes: #455360)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 18:40:54 +0100

amsynth (1.2.0-3) unstable; urgency=low

  * Fixed watch file (Closes: #449828)

 -- Free Ekanayaka <freee@debian.org>  Thu, 13 Dec 2007 11:51:12 +0000

amsynth (1.2.0-2) unstable; urgency=low

  * Fixed broken upstream libjack loading function
  * Depend explicitely on libjack, this should be eventually
    handled by upstream

 -- Free Ekanayaka <freee@debian.org>  Mon, 26 Feb 2007 10:48:21 +0100

amsynth (1.2.0-1) unstable; urgency=low

  * New upstream
  * Depend on libjack-dev instead of libjack0.100.0-dev, which is
    now obsolete
  * Dropped dependency on automake1.4
  * Updated standards version

 -- Free Ekanayaka <freee@debian.org>  Mon, 21 Aug 2006 18:04:36 +0000

amsynth (1.1.0-3) unstable; urgency=low

  * Bug fix: "amsynth: FTBFS on GNU/kFreeBSD (due to unsatisfied
    Build-Depends on libasound2-dev)", thanks to Petr Salinger (Closes:
    #375397).
  * New maintainer Debian Multimedia Team

 -- Free Ekanayaka <freee@debian.org>  Tue, 27 Jun 2006 20:58:32 +0200

amsynth (1.1.0-2) unstable; urgency=low

  * Added debian/patches/70_signal_h patch to fix FTBFS on amd64
    (closes #337029), thanks to Andreas Jochens

 -- Free Ekanayaka <free@agnula.org>  Wed,  2 Nov 2005 23:47:36 +0000

amsynth (1.1.0-1) unstable; urgency=low

  * New upstream release
  * Disabled void-to-int, gtkmm and pthread-kill patches, fixed upstream
  * Updated standard version

 -- Free Ekanayaka <free@agnula.org>  Mon, 31 Oct 2005 06:31:24 +0100

amsynth (1.0.0+1.0.1cvs-1) unstable; urgency=low

  * New upstream (CVS snapshot)
  * Fixed FTBFS (amd64/gcc-3.4): `pthread_kill' undeclared (closes: #274703),
    thanks to Andreas Jochens <aj@andaco.de>
  * Fixed FTBFS (amd64/gcc-4.0): cast from 'void*' to 'int' loses
    precision (closes: #285100), thanks to Andreas Jochens <aj@andaco.de>
  * Fixed libjack0.80.0-0 removed from unstable (closes: #317183)
  * Fixed amsynth can't find data directory (closes: #275137),
    thanks to David A. Riggs <riggs@csee.wvu.edu>
  * Fixed "New instance" calls bad binary (closes: #315698),
    thanks to Christophe Combelles <ccomb@free.fr>
  * Added Desktop file
  
 -- Free Ekanayaka <free@agnula.org>  Mon,  5 Sep 2005 11:11:29 +0200

amsynth (1.0.0-1) unstable; urgency=low

  * New upstream release
  * First Debian upload (closes: #237196), sponsored by 
    Cosimo Alfarano <kalfa@debian.org>

 -- Free Ekanayaka <free@agnula.org>  Wed,  1 Sep 2004 12:32:58 +0200

amsynth (1.0-rc4-0test1) unstable; urgency=low

  * New upstream release

 -- Free Ekanayaka <free@agnula.org>  Sat, 23 Aug 2003 11:03:19 +0200

amsynth (1.0-rc2-1) unstable; urgency=low

  * Initial Release.

 -- Free Ekanayaka <free@centrotemporeale.it>  Sat, 12 Oct 2002 12:54:06 +0200

=== debian/control ===
Source: amsynth
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 autotools-dev (>= 20100122.1~),
 libgtkmm-2.4-dev, 
 libsndfile1-dev,
 libasound2-dev [linux-any],
 libjack-dev
Standards-Version: 3.9.2
Homepage: http://amsynthe.sourceforge.net/amSynth/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/amsynth.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/amsynth.git

Package: amsynth
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: vkeybd
Description: two oscillator software synthesizer
 amSynth features:
    * two analogue-style audio oscillators, featuring:
          o sine wave
          o saw/triangle wave with adjustable shape
          o square/pulse wave with adjustable pulsewidth
          o noise generation
          o "random" wave (noise with sample & hold)
          o oscillator sync
          o of course, detune and range control
    * mixer section with ring modulation
    * analogue-style low-pass filter
          o 24dB/octave curve
          o dedicated ADSR envelope
          o cutoff and resonance control
          o keyboard pitch tracking
    * amplifier with dedicated ADSR envelope
    * modulation LFO
          o up to 58Hz modulation
          o routable to all sections (pitch, filter, amplifier)
    * Effects
          o High quality stereo reverb (freeverb)
          o Distortion/crunch
    * Easy navigation and manipulation of presets
    * Stand-alone OSS or ALSA Midi/Audio client

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS=-Wl,--as-needed

%:
	dh --with autotools_dev $@

override_dh_auto_configure:
	dh_auto_configure -- --with-pic

override_dh_auto_install:
	dh_auto_install -- prefix=/usr destdir=debian/amsynth
	mv debian/amsynth/usr/bin/amSynth \
		debian/amsynth/usr/bin/amsynth

=== debian/watch ===
version=3
http://sf.net/amsynthe/amSynth-(.*)\.tar\.gz debian uupdate

## amsynth 1.3.0

=== debian/changelog ===
amsynth (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * New upstream URL for releases and homepage.
  * Update debian/copyright.
  * Remove 01-spelling_error.patch, applied upstream.
  * Delete 02-create_new_instance.patch, applied upstream.
  * Switch from autotools_dev to dh_autoreconf.

 -- Alessio Treglia <alessio@debian.org>  Thu, 09 Feb 2012 20:25:32 +0100

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,28 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Free Ekanayaka <freee@debian.org>,
+Uploaders:
+ Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
- autotools-dev (>= 20100122.1~),
- libgtkmm-2.4-dev, 
- libsndfile1-dev,
+Build-Depends:
+ debhelper (>= 7.0.50~),
+ dh-autoreconf,
  libasound2-dev [linux-any],
- libjack-dev
+ libgtkmm-2.4-dev,
+ libjack-dev,
+ libsndfile1-dev
 Standards-Version: 3.9.2
-Homepage: http://amsynthe.sourceforge.net/amSynth/
+Homepage: http://code.google.com/p/amsynth/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/amsynth.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/amsynth.git
 
 Package: amsynth
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
-Suggests: vkeybd
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Suggests:
+ vkeybd
 Description: two oscillator software synthesizer
  amSynth features:
     * two analogue-style audio oscillators, featuring:

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 LDFLAGS=-Wl,--as-needed
 
 %:
-	dh --with autotools_dev $@
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-pic

## amsynth 1.3.2

=== debian/changelog ===
amsynth (1.3.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Mon, 06 May 2013 10:53:28 +0200

amsynth (1.3.2-1) experimental; urgency=low

  * New upstream release. Pushed to experimental due to Wheezy freeze time.
  * Remove gcc 4.7 issue patch, applied by upstream.
  * Add myself as uploader.
  * Upstream adds new DSSI plugin option (it will close #629192 when package
    goes to unstable).
  * Depends on dssi-dev for dssi host and liblo-dev for dssi gui.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Tue, 20 Nov 2012 22:16:49 -0500

amsynth (1.3.0-2) unstable; urgency=low

  * Really build with --as-needed.
  * Enable parallel builds.
  * Tune CFLAGS and implement DEB_BUILD_OPTIONS' noopt flag.
  * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> include.
    Thanks to Cyril Brulebois <kibi@debian.org> (Closes: 667098)
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 Apr 2012 10:03:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,18 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Tiago Bortoletto Vaz <tiago@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~),
  dh-autoreconf,
  libasound2-dev [linux-any],
  libgtkmm-2.4-dev,
  libjack-dev,
- libsndfile1-dev
-Standards-Version: 3.9.2
+ libsndfile1-dev,
+ dssi-dev,
+ liblo-dev
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/amsynth/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/amsynth.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/amsynth.git

=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS+=-Wl,--as-needed
export CFLAGS+=-Wall -g -fno-exceptions -fomit-frame-pointer

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-pic

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_install:
	dh_auto_install -- prefix=/usr destdir=debian/amsynth
	mv debian/amsynth/usr/bin/amSynth \
		debian/amsynth/usr/bin/amsynth

=== debian/watch ===
version=3
http://googlecode.debian.net/p/amsynth/amSynth-(\d+.*)\.tar\.gz

## amsynth 1.4.2

=== debian/changelog ===
amsynth (1.4.2-2) unstable; urgency=medium

  * Attempt to fix build failure on non-Linuxes.

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 Apr 2014 23:34:00 +0100

amsynth (1.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 Apr 2014 15:29:06 +0100

amsynth (1.4.1-2) unstable; urgency=low

  * Disable ALSA on non-Linux.

 -- Alessio Treglia <alessio@debian.org>  Mon, 24 Feb 2014 12:06:40 +0000

amsynth (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Point the watch file to the new URL.
  * Update Vcs URLs.
  * debian/rules:
    - Disable -fno-exceptions.
    - Do no longer need to rename destination path.
  * Remove debian/amsynth.desktop, provided by upstream.
  * Remove unnecessary debian/dirs.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 24 Feb 2014 11:28:52 +0000

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
  libsndfile1-dev,
  dssi-dev,
  liblo-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://code.google.com/p/amsynth/
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/amsynth.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/amsynth.git
+Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-multimedia/amsynth.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/amsynth.git
 
 Package: amsynth
 Architecture: any

=== debian/watch ===
version=3
http://sf.net/amsynthe/amsynth-(.*)\.tar\.gz

## amsynth 1.5.1

=== debian/changelog ===
amsynth (1.5.1-2build2) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:31:58 +0000

amsynth (1.5.1-2build1) wily; urgency=medium

  * No-change rebuild against libatkmm-1.6-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 18:12:01 +0000

amsynth (1.5.1-2) unstable; urgency=medium

  * Make package's builds reproducible
    - Review Dhole's patch: upstream might be interested in printing such
      information as compilation timestamp, so I'd prefer to not just get
      rid of it unconditionally and append DEBIAN_REPRODUCIBLE_BUILDS to
      the preprocessor's list of defines. (Closes: #788751)

 -- Alessio Treglia <alessio@debian.org>  Tue, 16 Jun 2015 14:34:51 +0100

amsynth (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Delete 0001-ftbfs.patch, applied upstream.
  * Use debhelper 9.
  * Remove debian/patches/.
  * Project's moved to github.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 10 May 2015 14:09:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: amsynth
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
  Tiago Bortoletto Vaz <tiago@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9~),
  dh-autoreconf,
  libasound2-dev [linux-any],
  libgtkmm-2.4-dev,
@@ -15,7 +16,7 @@
  libsndfile1-dev,
  dssi-dev,
  liblo-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://code.google.com/p/amsynth/
 Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-multimedia/amsynth.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/amsynth.git

=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS+=-Wl,--as-needed
export CFLAGS+=-Wall -g -fomit-frame-pointer

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifneq ($(DEB_HOST_ARCH_OS),linux)
EXTRA_CONFIG_FLAGS=--with-alsa=no
endif

CFLAGS += -DDEBIAN_REPRODUCIBLE_BUILDS

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-pic $(EXTRA_CONFIG_FLAGS)

override_dh_autoreconf:
	dh_autoreconf --as-needed

## amsynth 1.6.4

=== debian/changelog ===
amsynth (1.6.4-1) unstable; urgency=medium

  * Imported Upstream version 1.6.4
  * Update upstream references
  * Refresh debian/copyright
  * Revert "Make package's builds reproducible"
    This reverts commit 36d1579fa54bf05d3c4c54d6bced02a5559613bf
    The patch has been applied upstream.
  * Enable LV2 explicitly
  * Fix lintian's vcs-field-uses-insecure-uri warning
  * Bump Standards

 -- Alessio Treglia <alessio@debian.org>  Sun, 04 Sep 2016 13:48:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: amsynth
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
@@ -16,10 +15,10 @@
  libsndfile1-dev,
  dssi-dev,
  liblo-dev
-Standards-Version: 3.9.6
-Homepage: http://code.google.com/p/amsynth/
+Standards-Version: 3.9.8
+Homepage: http://amsynth.github.io/
 Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-multimedia/amsynth.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/amsynth.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-multimedia/amsynth.git
 
 Package: amsynth
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,11 @@
 EXTRA_CONFIG_FLAGS=--with-alsa=no
 endif
 
-CFLAGS += -DDEBIAN_REPRODUCIBLE_BUILDS
-
 %:
 	dh $@ --parallel --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-pic $(EXTRA_CONFIG_FLAGS)
+	dh_auto_configure -- --with-pic --with-lv2 $(EXTRA_CONFIG_FLAGS)
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed

## amsynth 1.8.0

=== debian/changelog ===
amsynth (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0 (Closes: #919821)
  * Depends on libgtk2.0-dev rather than gtkmm.
  * Add patch for conforming to -Werror=format-security hardening flag.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sun, 20 Jan 2019 11:26:13 -0500

amsynth (1.6.4-2) unstable; urgency=medium

  * Move lv2 plugins to /usr/lib/lv2/. Thanks to Takeshi Soejima.
    (Closes: #861928)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sun, 29 Jul 2018 15:52:42 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: amsynth
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
@@ -10,15 +10,16 @@
  debhelper (>= 9~),
  dh-autoreconf,
  libasound2-dev [linux-any],
- libgtkmm-2.4-dev,
+ libgtk2.0-dev,
  libjack-dev,
  libsndfile1-dev,
  dssi-dev,
+ intltool,
  liblo-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.3.0
 Homepage: http://amsynth.github.io/
-Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-multimedia/amsynth.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-multimedia/amsynth.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/amsynth.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/amsynth
 
 Package: amsynth
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -20,4 +20,4 @@
 	dh_auto_configure -- --with-pic --with-lv2 $(EXTRA_CONFIG_FLAGS)
 
 override_dh_autoreconf:
-	dh_autoreconf --as-needed
+	./autogen.sh

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/release-?(\d\S*)\.tar\.gz/amsynth-$1\.tar\.gz/ \
  https://github.com/nixxcode/amsynth/tags .*/release-?(\d\S*)\.tar\.gz

## amsynth 1.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.0)
 
-set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD 98)
 #set(CMAKE_VERBOSE_MAKEFILE true)
 
 find_package(PkgConfig REQUIRED)
@@ -20,6 +20,7 @@
         -DPACKAGE_URL="https://amsynth.github.io"
         -DPACKAGE_BUGREPORT="https://www.github.com/amsynth/amsynth/issues"
         -DPKGDATADIR="${PROJECT_SOURCE_DIR}/data"
+        -DWITH_OSS
 )
 
 add_compile_options(
@@ -28,6 +29,11 @@
         -DPACKAGE_LOCALEDIR="/usr/local/share/locale"
 )
 
+add_compile_options(
+        -Wall
+        -Werror
+)
+
 pkg_check_modules(ALSA alsa)
 if (ALSA_FOUND)
     add_compile_options(-DWITH_ALSA)
@@ -55,14 +61,19 @@
     include_directories(${LIBLO_INCLUDE_DIRS})
 endif (LIBLO_FOUND)
 
+pkg_check_modules(SNDFILE sndfile)
+if (SNDFILE_FOUND)
+    add_compile_options(-Dwith_sndfile)
+endif(SNDFILE_FOUND)
+
 #
 #
 #
 
 add_library(amsynth_core STATIC
-        src/Effects/Distortion.cc
+        src/Effects/Distortion.cpp
         src/Effects/Distortion.h
-        src/Effects/SoftLimiter.cc
+        src/Effects/SoftLimiter.cpp
         src/Effects/SoftLimiter.h
         src/freeverb/allpass.cpp
         src/freeverb/allpass.hpp
@@ -72,14 +83,14 @@
         src/freeverb/revmodel.cpp
         src/freeverb/revmodel.hpp
         src/freeverb/tuning.h
-        src/VoiceBoard/ADSR.cc
+        src/VoiceBoard/ADSR.cpp
         src/VoiceBoard/ADSR.h
-        src/VoiceBoard/LowPassFilter.cc
+        src/VoiceBoard/LowPassFilter.cpp
         src/VoiceBoard/LowPassFilter.h
-        src/VoiceBoard/Oscillator.cc
+        src/VoiceBoard/Oscillator.cpp
         src/VoiceBoard/Oscillator.h
         src/VoiceBoard/Synth--.h
-        src/VoiceBoard/VoiceBoard.cc
+        src/VoiceBoard/VoiceBoard.cpp
         src/VoiceBoard/VoiceBoard.h
         src/Configuration.cpp
         src/Configuration.h
@@ -88,22 +99,22 @@
         src/lash.c
         src/lash.h
         src/midi.h
-        src/MidiController.cc
+        src/MidiController.cpp
         src/MidiController.h
-        src/Parameter.cc
+        src/Parameter.cpp
         src/Parameter.h
-        src/Preset.cc
+        src/Preset.cpp
         src/Preset.h
-        src/PresetController.cc
+        src/PresetController.cpp
         src/PresetController.h
         src/Synthesizer.cpp
         src/Synthesizer.h
         src/Thread.h
-        src/TuningMap.cc
+        src/TuningMap.cpp
         src/TuningMap.h
         src/types.h
         src/UpdateListener.h
-        src/VoiceAllocationUnit.cc
+        src/VoiceAllocationUnit.cpp
         src/VoiceAllocationUnit.h
         )
 
@@ -112,19 +123,19 @@
 #
 
 add_executable(amsynth
-        src/drivers/ALSAAudioDriver.cc
+        src/drivers/ALSAAudioDriver.cpp
         src/drivers/ALSAAudioDriver.h
-        src/drivers/ALSAMidiDriver.cc
+        src/drivers/ALSAMidiDriver.cpp
         src/drivers/ALSAMidiDriver.h
-        src/drivers/ALSAmmapAudioDriver.cc
+        src/drivers/ALSAmmapAudioDriver.cpp
         src/drivers/ALSAmmapAudioDriver.h
         src/drivers/AudioDriver.h
-        src/drivers/CoreAudio.cc
+        src/drivers/CoreAudio.cpp
         src/drivers/CoreAudio.h
         src/drivers/MidiDriver.h
-        src/drivers/OSSAudioDriver.cc
+        src/drivers/OSSAudioDriver.cpp
         src/drivers/OSSAudioDriver.h
-        src/drivers/OSSMidiDriver.cc
+        src/drivers/OSSMidiDriver.cpp
         src/drivers/OSSMidiDriver.h
         src/GUI/bitmap_button.c
         src/GUI/bitmap_button.h
@@ -139,7 +150,7 @@
         src/GUI/editor_menus.h
         src/GUI/editor_pane.c
         src/GUI/editor_pane.h
-        src/GUI/gui_main.cc
+        src/GUI/gui_main.cpp
         src/GUI/gui_main.h
         src/GUI/MainMenu.cpp
         src/GUI/MainMenu.h
@@ -147,15 +158,22 @@
         src/GUI/MainWindow.h
         src/GUI/MIDILearnDialog.cpp
         src/GUI/MIDILearnDialog.h
-        src/GUI/PresetControllerView.cc
+        src/GUI/PresetControllerView.cpp
         src/GUI/PresetControllerView.h
-        src/AudioOutput.cc
+        src/nsm/DebugMessage.cpp
+        src/nsm/DebugMessage.h
+        src/nsm/nsm.h
+        src/nsm/NsmClient.cpp
+        src/nsm/NsmClient.h
+        src/nsm/NsmHandler.cpp
+        src/nsm/NsmHandler.h
+        src/AudioOutput.cpp
         src/AudioOutput.h
-        src/JackOutput.cc
+        src/JackOutput.cpp
         src/JackOutput.h
         src/lash.c
         src/lash.h
-        src/main.cc
+        src/main.cpp
         src/main.h
         )
 
@@ -166,6 +184,9 @@
         ${JACK_LIBRARIES}
         ${GTK_LIBRARIES}
         ${LASH_LIBRARIES}
+        ${SNDFILE_LIBRARIES}
+        ${LIBLO_LIBRARIES}
+        oscpack
         )
 
 #
@@ -189,6 +210,8 @@
         src/GUI/editor_menus.h
         src/GUI/editor_pane.c
         src/GUI/editor_pane.h
+        src/GUI/gui_main.cpp
+        src/GUI/gui_main.h
         )
 
 target_link_libraries(amsynth_dssi_gtk
@@ -218,6 +241,8 @@
         src/GUI/editor_menus.h
         src/GUI/editor_pane.c
         src/GUI/editor_pane.h
+        src/GUI/gui_main.cpp
+        src/GUI/gui_main.h
         src/amsynth_lv2_ui_gtk.cpp
         )
 set_target_properties(amsynth_lv2_gtk PROPERTIES PREFIX "")
@@ -238,6 +263,8 @@
         src/GUI/editor_menus.h
         src/GUI/editor_pane.c
         src/GUI/editor_pane.h
+        src/GUI/gui_main.cpp
+        src/GUI/gui_main.h
         )
 target_compile_options(amsynth_vst PUBLIC -DWITH_GUI)
 set_target_properties(amsynth_vst PROPERTIES PREFIX "")

=== debian/changelog ===
amsynth (1.9.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:32:57 +0100

amsynth (1.9.0-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Olivier Humbert ]
  * Update control (http -> https)

  [ Dennis Braun ]
  * New upstream version 1.9.0
  * d/control:
    + Bump debhelper-compat version to 12
    + Bump standards version to 4.4.1
    + Drop useless dh-autoreconf from Build-Depends
    + Add liboscpack-dev to B-D as suggested by upstream
  * d/copyright:
    + Update copyright year
  * d/patches/format_security: Drop, obsolete
  * d/patches/appdata_dir_fix.patch: Add, fixes installation path
  * d/rules: Remove unnecessary --parallel dh argument

  [ Sebastian Ramacher ]
  * debia/rules: Call autogen.sh via dh_autoreconf

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 21 Jan 2020 22:12:24 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
  Alessio Treglia <alessio@debian.org>,
  Tiago Bortoletto Vaz <tiago@debian.org>
 Build-Depends:
- debhelper (>= 9~),
- dh-autoreconf,
+ debhelper-compat (= 12),
  libasound2-dev [linux-any],
  libgtk2.0-dev,
  libjack-dev,
+ liboscpack-dev,
  libsndfile1-dev,
  dssi-dev,
  intltool,
  liblo-dev
-Standards-Version: 4.3.0
-Homepage: http://amsynth.github.io/
+Standards-Version: 4.4.1
+Homepage: https://amsynth.github.io/
 Vcs-Git: https://salsa.debian.org/multimedia-team/amsynth.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/amsynth

=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,10 @@
 endif
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-pic --with-lv2 $(EXTRA_CONFIG_FLAGS)
 
 override_dh_autoreconf:
-	./autogen.sh
+	dh_autoreconf -- ./autogen.sh

## amsynth 1.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,6 +34,13 @@
         -Werror
 )
 
+add_compile_options(
+        -DGTK_DISABLE_SINGLE_INCLUDES
+        -DGTK_DISABLE_DEPRECATED
+        -DGDK_DISABLE_DEPRECATED
+        -DGSEAL_ENABLE
+)
+
 pkg_check_modules(ALSA alsa)
 if (ALSA_FOUND)
     add_compile_options(-DWITH_ALSA)
@@ -60,11 +67,6 @@
 if (LIBLO_FOUND)
     include_directories(${LIBLO_INCLUDE_DIRS})
 endif (LIBLO_FOUND)
-
-pkg_check_modules(SNDFILE sndfile)
-if (SNDFILE_FOUND)
-    add_compile_options(-Dwith_sndfile)
-endif(SNDFILE_FOUND)
 
 #
 #
@@ -95,6 +97,8 @@
         src/Configuration.cpp
         src/Configuration.h
         src/controls.h
+        src/filesystem.cpp
+        src/filesystem.h
         src/gettext.h
         src/lash.c
         src/lash.h

=== debian/changelog ===
amsynth (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0
  * Fix dssi lib dir installation
  * Add hardening
  * Set RRR: no
  * Bump dh-compat to 13
  * Bump S-V to 4.5.0
  * Add me as uploader
  * Add d/upstream/metadata
  * Remove obsolete LDFLAGS export

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 09 May 2020 22:46:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
- Tiago Bortoletto Vaz <tiago@debian.org>
+ Tiago Bortoletto Vaz <tiago@debian.org>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libasound2-dev [linux-any],
  libgtk2.0-dev,
  libjack-dev,
@@ -16,10 +17,11 @@
  dssi-dev,
  intltool,
  liblo-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://amsynth.github.io/
 Vcs-Git: https://salsa.debian.org/multimedia-team/amsynth.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/amsynth
+Rules-Requires-Root: no
 
 Package: amsynth
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
-export LDFLAGS+=-Wl,--as-needed
 export CFLAGS+=-Wall -g -fomit-frame-pointer
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0

## amsynth 1.11.0

=== debian/changelog ===
amsynth (1.11.0-1) unstable; urgency=medium

  [ Olivier Humbert ]
  * d/copyright: update upstream copyright year
  * d/control: typo fix in the short description
  * d/control: adds "Provides" items

  [ Dennis Braun ]
  * New upstream version 1.11.0
  * Add salsa-ci.yml
  * Add a simple version autopkgtest
  * Add libjack-jackd2-dev as optional B-D
  * Add autoconf-archive as B-D
  * Add word-wrap at end of d/control to make lintian happy
  * Use --libdir=/usr/lib instead of patches, fixes vst installation

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 27 Sep 2020 22:26:50 +0200

## amsynth 1.12.1

=== debian/changelog ===
amsynth (1.12.1-1) unstable; urgency=medium

  * New upstream version 1.12.1

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 15 Nov 2020 14:25:02 +0100

amsynth (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 11 Nov 2020 17:58:54 +0100

## amsynth 1.12.2

=== debian/changelog ===
amsynth (1.12.2-1) unstable; urgency=medium

  * New upstream version 1.12.2

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 21 Nov 2020 14:57:32 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
  Tiago Bortoletto Vaz <tiago@debian.org>,
  Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
+ autoconf-archive,
  debhelper-compat (= 13),
  libasound2-dev [linux-any],
  libgtk2.0-dev,
- libjack-dev,
+ libjack-jackd2-dev | libjack-dev,
  liboscpack-dev,
  libsndfile1-dev,
  dssi-dev,
@@ -30,7 +31,11 @@
  ${shlibs:Depends}
 Suggests:
  vkeybd
-Description: two oscillator software synthesizer
+Provides:
+ lv2-plugin,
+ vst-plugin,
+ dssi-plugin,
+Description: two oscillators software synthesizer
  amSynth features:
     * two analogue-style audio oscillators, featuring:
           o sine wave
@@ -55,3 +60,4 @@
           o Distortion/crunch
     * Easy navigation and manipulation of presets
     * Stand-alone OSS or ALSA Midi/Audio client
+

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-pic --with-lv2 $(EXTRA_CONFIG_FLAGS)
+	dh_auto_configure -- --with-pic --with-lv2 $(EXTRA_CONFIG_FLAGS) --libdir=/usr/lib
 
 override_dh_autoreconf:
 	dh_autoreconf -- ./autogen.sh

=== debian/tests/control ===
Depends: @
Test-Command: amsynth -v &
Restrictions: allow-stderr, superficial

## amsynth 1.12.4

=== debian/changelog ===
amsynth (1.12.4-1) unstable; urgency=medium

  * New upstream version 1.12.4
  * Bump Standards-Version to 4.6.0
  * d/copyright: Update year
  * d/copyright: Add myself to the d/ section
  * d/copyright: Add vendor/nsm/nsm.h and ISC license
  * d/tests/control: Don't run test command in background

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 20 Jan 2022 21:03:38 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  dssi-dev,
  intltool,
  liblo-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://amsynth.github.io/
 Vcs-Git: https://salsa.debian.org/multimedia-team/amsynth.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/amsynth

=== debian/tests/control ===
Depends: @
Test-Command: amsynth -v
Restrictions: allow-stderr, superficial

## amsynth 1.13.0

=== debian/changelog ===
amsynth (1.13.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Dennis Braun ]
  * New upstream version 1.13.0
  * Refresh patchset
  * Bump Standards Version to 4.6.1

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 17 Jul 2022 12:46:06 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  dssi-dev,
  intltool,
  liblo-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://amsynth.github.io/
 Vcs-Git: https://salsa.debian.org/multimedia-team/amsynth.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/amsynth
@@ -60,4 +60,3 @@
           o Distortion/crunch
     * Easy navigation and manipulation of presets
     * Stand-alone OSS or ALSA Midi/Audio client
-

## amsynth 1.13.1

=== debian/changelog ===
amsynth (1.13.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Dennis Braun ]
  * New upstream version 1.13.1
  * Change my email address
  * Bump Standards-Version to 4.6.2
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Sat, 28 Jan 2023 23:18:23 +0100

## amsynth 1.13.2

=== debian/changelog ===
amsynth (1.13.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:12:39 +1100

amsynth (1.13.2-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:48:14 +0000

amsynth (1.13.2-1) unstable; urgency=medium

  * New upstream version 1.13.2

 -- Dennis Braun <snd@debian.org>  Fri, 03 Feb 2023 17:33:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: amsynth
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
  Tiago Bortoletto Vaz <tiago@debian.org>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends:
  autoconf-archive,
  debhelper-compat (= 13),
@@ -18,7 +19,7 @@
  dssi-dev,
  intltool,
  liblo-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://amsynth.github.io/
 Vcs-Git: https://salsa.debian.org/multimedia-team/amsynth.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/amsynth

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/release-?(\d\S*)\.tar\.gz/amsynth-$1\.tar\.gz/ \
  https://github.com/nixxcode/amsynth/tags .*/release-?(\d\S*)\.tar\.gz

## amsynth 1.13.4

=== debian/changelog ===
amsynth (1.13.4-2) unstable; urgency=medium

  [ Bastian Germann ]
  * Do not configure LV2 (was not enabled anyway)

  [ Dennis Braun ]
  * Bump Standards-Version to 4.7.2
  * Apply wrap-and-sort -ast
  * Update d/copyright GPL-2+ license text

 -- Dennis Braun <snd@debian.org>  Wed, 30 Apr 2025 17:52:24 +0200

amsynth (1.13.4-1) unstable; urgency=medium

  * New upstream release 1.13.4
  * DSSI build error was fixed in 1.13.3 (Closes: #1071294)
  * Bump Standards-Version to 4.7.0

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Fri, 17 May 2024 20:49:49 -0400

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: amsynth
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
  Tiago Bortoletto Vaz <tiago@debian.org>,
- Dennis Braun <snd@debian.org>
+ Dennis Braun <snd@debian.org>,
 Build-Depends:
  autoconf-archive,
  debhelper-compat (= 13),
+ dssi-dev,
+ intltool,
  libasound2-dev [linux-any],
  libgtk2.0-dev,
  libjack-jackd2-dev | libjack-dev,
+ liblo-dev,
  liboscpack-dev,
  libsndfile1-dev,
- dssi-dev,
- intltool,
- liblo-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://amsynth.github.io/
 Vcs-Git: https://salsa.debian.org/multimedia-team/amsynth.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/amsynth
@@ -29,13 +28,12 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Suggests:
- vkeybd
+ vkeybd,
 Provides:
- lv2-plugin,
+ dssi-plugin,
  vst-plugin,
- dssi-plugin,
 Description: two oscillators software synthesizer
  amSynth features:
     * two analogue-style audio oscillators, featuring:

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-pic --with-lv2 $(EXTRA_CONFIG_FLAGS) --libdir=/usr/lib
+	dh_auto_configure -- --with-pic $(EXTRA_CONFIG_FLAGS) --libdir=/usr/lib
 
 override_dh_autoreconf:
 	dh_autoreconf -- ./autogen.sh

=== debian/tests/control ===
Depends:
 @,
Test-Command: amsynth -v
Restrictions: allow-stderr, superficial
